// Copyright 2005 Ben Hutchings <ben@decadentplace.org.uk>.
// See the file "COPYING" for licence details.

#ifndef INC_TEMP_FILE_HPP
#define INC_TEMP_FILE_HPP

#include <string>

class temp_file
{
public:
    explicit temp_file(const std::string & base_name);
    ~temp_file();

    void close();

    int get_fd() const { return fd_; }
    const std::string & get_name() const { return name_; }

private:
    int fd_;
    std::string name_;
};

#endif // !INC_TEMP_FILE_HPP
